#include<bits/stdc++.h>

using namespace std;

int main() {
	int t,n,broj;
	
	cin>>t;
	for (int i=0;i<t;i++){
		cin>>n;
		int resenje=10;
		vector<bool>postoji(false,n);
		for (int i=0;i<10;i++)postoji[i]=true;
		if(n<10)resenje=n;
		else if(n<=20)resenje=10;
		else if(n<100){
			for (int i=21;i<=n;i++){
				broj=i%10*(i-i%10)/10;
				if(!postoji[broj]){
					resenje++;
					postoji[broj]=true;
				}
			}
		}
		else {
			for (int i=21;i<100;i++){
				broj=i%10*(i-i%10)/10;
				if(!postoji[broj]){
					resenje++;
					postoji[broj]=true;
				}
			}
			for (int i=100;i<=n;i++){
				 broj=i%10*(i%100-i%10)/10*(i-i%100)/100;
				 if(!postoji[broj]){
					resenje++;
					postoji[broj]=true;
				}	
			}
			
		}
		cout<<resenje<<endl;
	}
	return 0;
}